- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::DatabasePager::DatabaseRequest Struct Reference

Inheritance diagram for osgDB::DatabasePager::DatabaseRequest:

[legend]
List of all members.

## Public Member Functions
| DatabaseRequest ()
## Public Attributes
std::string | _fileName
int | _frameNumberFirstRequest
double | _timestampFirstRequest
float | _priorityFirstRequest
int | _frameNumberLastRequest
double | _timestampLastRequest
float | _priorityLastRequest
unsigned int | _numOfRequests
osg::ref_ptr< osg::Group > | _groupForAddingLoadedSubgraph
osg::ref_ptr< osg::Node > | _loadedModel
DataToCompileMap | _dataToCompileMap

## Constructor & Destructor Documentation

osgDB::DatabasePager::DatabaseRequest::DatabaseRequest | ( |  | ) | `[inline]`

## Member Data Documentation

DataToCompileMap osgDB::DatabasePager::DatabaseRequest::_dataToCompileMap

std::string osgDB::DatabasePager::DatabaseRequest::_fileName

int osgDB::DatabasePager::DatabaseRequest::_frameNumberFirstRequest

int osgDB::DatabasePager::DatabaseRequest::_frameNumberLastRequest

osg::ref_ptr<osg::Group> osgDB::DatabasePager::DatabaseRequest::_groupForAddingLoadedSubgraph

osg::ref_ptr<osg::Node> osgDB::DatabasePager::DatabaseRequest::_loadedModel

unsigned int osgDB::DatabasePager::DatabaseRequest::_numOfRequests

float osgDB::DatabasePager::DatabaseRequest::_priorityFirstRequest

float osgDB::DatabasePager::DatabaseRequest::_priorityLastRequest

double osgDB::DatabasePager::DatabaseRequest::_timestampFirstRequest

double osgDB::DatabasePager::DatabaseRequest::_timestampLastRequest

The documentation for this struct was generated from the following file:

- DatabasePager